<?php
class Product extends ProductCore{
    public $quantityproduct;
	public $size;
	public $cas;
	public $rs;
	public $purity;
	
	public function __construct($id_product = null, $full = false, $id_lang = null, $id_shop = null, Context $context = null){
        self::$definition['fields']['quantityproduct'] = array('type' => self::TYPE_STRING, 'validate' => 'isString', 'lang' => true);
		self::$definition['fields']['size'] = array('type' => self::TYPE_STRING, 'validate' => 'isString', 'lang' => true);
		self::$definition['fields']['cas'] = array('type' => self::TYPE_STRING, 'validate' => 'isString', 'lang' => true);
		self::$definition['fields']['rs'] = array('type' => self::TYPE_STRING, 'validate' => 'isString', 'lang' => true);
		self::$definition['fields']['purity'] = array('type' => self::TYPE_STRING, 'validate' => 'isString', 'lang' => true);
        parent::__construct($id_product, $full, $id_lang, $id_shop, $context);
    }
}